#include <stdio.h>
#include <stdlib.h>

int main()
{
   #define A 5
   printf("%d", A);
   #undef A

   /*printf("%d", A); Uncomment this line, then try to compile!*/

   system("PAUSE");
   return 0;
}
